
from os import sep, environ, getenv, getcwd
import os

#import project
#from Numeric import allclose
from anuga.pmesh.mesh_interface import create_mesh_from_regions
from anuga.shallow_water import Domain
from anuga.shallow_water import File_boundary
from time import localtime, strftime, gmtime

home = getenv('INUNDATIONHOME') #Sandpit's parent dir   
#user = get_user_name()
data = 'data'
state = 'western_australia'
scenario_name = 'dampier'
scenario = 'test_dampier'
an = 'anuga'
bo = 'boundaries'
topo = 'topographies'
out = 'outputs'
urs = 'urs'
gridded = '1_10000'
#best_boundary_sww_file = 'o_test_8500_12000.sww'
best_boundary_sww_file = 'o_8500_12000_no_zone.sww'

time = strftime('%Y%m%d_%H%M%S',localtime()) #gets time for new dir
gtime = strftime('%Y%m%d_%H%M%S',gmtime()) #gets time for new dir
run_time = time+'_run'
print 'gtime: ', gtime
print 'time: ', time


mesh_filename = 'small.tsh' # this will be local
best_boundary_sww = os.path.join(home,data,state,scenario,an,bo,best_boundary_sww_file)
#J:\inundation\data\western_australia\dampier_tsunami_scenario_2006\anuga\topographies
                                 
elevation_file = 'dampier_combined_elevation_smallest.txt'
smallest_elevation= os.path.join(home,data,state,scenario,an,topo,elevation_file)

output= os.path.join(home,data,state,scenario,an,out,run_time)

#pro_instance = project.Project([data,state,scenario_name],
#                                       outputdir_name=outputdir_name)

#poly_all = [[250000,7660000],[280000,7660000], [280000,7630000]]
poly_all = [[469000,7760000],[470000,7758000],[468000,7758000]]

print 'create mesh'
create_mesh_from_regions(poly_all,
                             boundary_tags={'back': [0,1,2]},
                             maximum_triangle_area=100000000000000000000,
                             filename=mesh_filename,
                             use_cache=False,
                             verbose=True)
domain = Domain( mesh_filename, verbose=True)
print domain.statistics()

domain.set_quantity('stage', 2.4)
domain.set_quantity('friction', 0.01)
domain.set_name(scenario_name)
domain.set_datadir(output)

print 'set elevation',smallest_elevation

domain.set_quantity('elevation', 
                    filename = smallest_elevation,
                    use_cache = True,
                    verbose = True,
                    alpha = 0.1)
                    

print 'best_boundary_sww',best_boundary_sww

print 'get file boundary'
Bf = File_boundary(best_boundary_sww,
                  domain,  time_thinning=24, use_cache=False, verbose=True)
                  
domain.set_boundary({'back': Bf})
                     
                     
#t0 = time.time()

print 'evolve'
for t in domain.evolve(yieldstep = 120, finaltime = 3400):
    domain.write_time()
    domain.write_boundary_statistics(tags = 'back')




